import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { CartService } from '../../services/cart.service';
import * as i0 from "@angular/core";
export declare class OrderDetailGridComponent implements OnInit, OnChanges {
    private cartService;
    private cdr;
    showDetails: any;
    arrowUpDown: any;
    sortByVal: any;
    showWaitCursor: BehaviorSubject<boolean>;
    cartDetails: any;
    orderDate: any;
    isCardData: any;
    noRecord?: string;
    imageModalSrc: any;
    constructor(cartService: CartService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    showHide(ind: number): void;
    arrowHideShow(id: number): void;
    getImageDetails(cartDetails: any, thumbnail?: any): any;
    viewImage(event: any, cartDetails: any): void;
    getPdfLink(cartDetails: any): void;
    hasImage(cartDetails: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderDetailGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrderDetailGridComponent, "app-order-detail-grid", never, { "sortByVal": "sortByVal"; "cartDetails": "cartDetails"; "orderDate": "orderDate"; "isCardData": "isCardData"; }, {}, never, never>;
}
